About LPR Utility

What is LPR?

LPR is a utility used to connect computers to printers over a TCP/IP ethernet connection. This utility can also be used to:

- Monitor the status of print jobs

- Send print files to the printer

- View the printer status

- Automatically redirect jobs to other printers on the network.

System Requirements:

LPR requires a computer running one of the following operating systems:

- Windows 2000

- Windows XP

- Windows XP x64 Edition

- Windows Server 2003

- Windows Server 2003 x64 Edition

- Windows Vista

- Windows Vista x64 Edition

- Windows Server 2008

- Windows Server 2008 x64 Edition

- Windows Server 2008 R2

- Windows 7

- Windows 7 x64 Edition.


Using LPR

Before starting LPR, please ensure the following:

- Your computer has TCP/IP installed and has a valid IP address

- Your printer has TCP/IP installed and has a valid IP address

- The output destination for the printer driver is set to Local printer (LPT:).

Overview of using LPR:

1. Start the LPR Utility.

If you selected Register in startup, LPR automatically starts when Windows starts.

2. To add a printer, click the Remote Print menu and point to Add Printer.

After you've added a printer, you can print to it.

What the LPR window shows:

- Initially, the Queue in LPR Utility’s Main Window will show 1 and Queue Status will show Connecting.

- When the printer connection is established, the Queue Status will change to Sending.

- When the print job is completed, Queue Status will show Empty; meanwhile, Finish will show 1, and Queue will show 0.


Main Window

  • Printer

- Names of added printers are shown. When you set Multicast printing, the IP address of Remote Printer to which the job is sent appears under the printer name.

- Click on a printer name to select it. Once selected, you can choose from the Remote Print menu to change options for that printer model.

- Double-clicking on a printer name displays the Job Display dialog.

- Right-clicking on a printer name displays the Remote Print menu.

  • Comments

You can add comments to describe each of the printers added to LPR. These comments may be shown or hidden in LPR's options .

  • Queue Status

- Shows the status of LPR (Empty, Connecting, Sending, Paused, Checking Status or Not Connected).

- If you change the printing destination port for the printer from LPR Port or if you delete a printer driver from the Printers folder, the Queue Status changes to Not Connected. Printing is not possible when Not Connected is the queue status for the selected printer.

- When you double-click on a printer name, you can see whether the printing destination port has been changed or a printer driver has been deleted.

- If the printing destination port has been changed, selecting Reconnect Port changes the Queue Status to Empty.

- If a printer driver has been deleted, reinstalling the driver and reconnecting the port will change the queue status to Empty.

  • Finish

Shows the number of completed print jobs.

  • Queue

Shows the number of jobs waiting to be printed.


Adding a printer

To add a printer to LPR:

1. Click the Remote Print menu, and select Add Printer.

2. Select a printer from the Printer Combo Box.

3. Enter the printer’s IP address.

Alternatively, click Discover and choose a printer(see Printer Discovery).

Notes:

  • You may have to wait while information is captured from the printer. Once complete, the printing destination port is automatically changed to LPR Port.

  • The Main Window shows the added printer.

    • Advanced features:

    LPR Byte Counting , Automatic Job Redirect , Multicast Printing and Web Settings Port Number settings are available by clicking the Advanced button.


Discovering a printer

Discovering printers

To discover a remote printer:

1. Click the Discover button in the Add Printer or Confirm Connections dialog.

The Discover dialog appears and LPR searches for printers.

2. The Discovered Printer list shows all printers found. Select a target printer.

3. Click on OK.

If you want to search for printers again, press the Re-discover button.

Notes:

  • The names of some printers may not be displayed.

  • By default, discovery is performed using the local subnet (discovery scope: 255.255.255.255). The discovery scope can be changed: see Setting discovery scope.)

  • Depending on the status of the printer, discovery may not be performed. In that case, select the printer and Re-discover. Discovery may take a while.


Setting discovery scope

You can change the discovery scope for remote printers or restrict discovery to the local subnet.

To change discovery scope:

1. Click the Discover button in the Add Printer or Confirm Connection dialog.

2. Click the Scope button in Discover dialog.

To add a discovery scope:

1. In the New Scope field, enter the Broadcast IP address.

2. Click Add.

To delete a discovery scope:

1. Select the broadcast IP address for to be deleted from the Scope list.

2. Click Delete button.

Discovering the local subnet:

1. Click Discover the local subnet.

Notes:

After you set discovery scope, click on OK. Discovery will be performed using the new discovery scope.


Pausing job sending

To pause a job in process:

You can pause sending a job to a Printer or continue a paused job as follows.

1.Click on the target printer in Main Window, and select Pause from the Remote Print menu.

2.Select Pause from the Printer menu in the Job Display dialog.

When a job is paused, the Job Status dialog displays Paused and Pause in the Printer menu is selected. If the printer is not connected, the status does not change. If a printing error occurs, a job is automatically paused.

Notes:

  • If you pause a job in progress, the printer may print an error report or the portion of the data received successfully before the printer was paused.

  • If you select a printer and pause job sending when Multicast printing is set, job sending is paused to all the destination printers.


Displaying jobs

You can show the list of jobs waiting or in progress on a Printer by following the steps below:

To display a job list:

1. Select a target printer from the Main Window.

2. Select Job Status from the Remote Print menu.

3. Once the Job Status display is visible:

  • Select a target printer from the Main Window. And then select Job Status from the Remote Print menu.

  • Alternatively, double-click the target printer.

Job information is shown in the order it was received. The following information is shown in the job list display:

  • Document name.

  • Queue Status; Jobs being sent are shown as Sending, other jobs are show as Waiting.

  • Date/Time; this is the date and time that printing started appears.

  • Size.

  • Status.

  • Message; any messages connected to a specific job appear.


Deleting a job

Deleting jobs

You can delete a print job by displaying the Job Status.

To delete print jobs:

1. Select a target printer from the Main Window.

2. Select Job Status from the Remote Print menu.

3. Once the Job Status display is visible:

  • Click on a job, click the Job menu and select Delete Job.

  • Right-click on a job, and select Delete Job from the pop-up menu.

  • Click on a job and press the Delete key.

Notes:

  • You can select multiple jobs and delete them simultaneously.

  • If you delete a job in progress, the printer may print an error report or print the portion of data that was successfully sent.

    • See also:

    Displaying Jobs.


Redirecting a job

Redirecting jobs

You can redirect jobs from one Printer to another by displaying the Job Status.

To redirect print jobs:

1. Select a target printer from the Main Window.

2. Select Job Status from the Remote Print menu.

3. Once the Job Status display is visible:

  • Click on a job you want to redirect from the Job Display dialog, then select the new printer to which you want the job redirected from the Redirect menu in the Job menu.

  • Right-click on a job you want to redirect from the Job Display dialog, then select the printer you want from the Redirect menu that pops up.

Notes:

  • You can select multiple jobs and redirect them simultaneously.

  • You can redirect a job only to printers that are the same model as the original destination printer.

  • If you redirect a job in progress, the printer may print an error report or the portion of data that was successfully received before the job was redirected.

  • If you select an IP address and display Job Display dialog, this function is not enabled.

    • See also:

    Displaying Jobs.


Checking printer status

To check printer status:

Choose one of the methods below to check printer status.

  • Click on the target printer in Main Window, and select Printer Status from the Remote Print menu.

  • Select Printer Status from the Printer menu in Job Display dialog. By default, the printer status is updated every 30 seconds. If required, you can change the update interval.

  • Note that the printers status is updated each time Printer Status is selected in the Printer menu.

Notes:

If the Printer Status dialog is not displaying, check the printer is turned on and the IP address is set correctly.


Web setting

Web settings

You can display printer information through the printer’s internal web pages.

To display web settings:

1. Select a target printer or an IP address in Main Window.

2. Select Web Settings from the Remote Printer menu.

Notes:

  • The information displayed varies depending on the printer model. For details, refer to the your printer’s user manual.

  • If your printer's port number for internal web pages has been changed, set Web settings port number.


Sending a print data file to a printer

To send a print data file:

You can send a Print Data File to a Printer by several ways:

  • Select a target printer in Main Window and select Download File from the Remote Print menu. The Send Files dialog appears. Select the file you want to send and click OK.

  • Drag and drop the file you want to send onto the target printer.

  • Select Download File from the Printer menu of the Job Display dialog. The Send Files dialog appears. Select a file you want to send, then click OK.

  • Drag and drop the file you want to send onto the Job Display dialog.

Notes:

  • If downloading a print data file, ensure that the file was created using a driver for the destination printer.

  • Downloading a file appears in the Status display as a job. If there is already a job waiting to be sent, the downloaded job will be processed after the existing job.

  • In Windows Vista/Windows 7 operating system, if UAC(User Account Control) has been turned on, when LPR Utility is started by administrator, the operation of Drag-drop could not work.


Changing a printer's IP address

To change a printer's IP address:

1. Click the printer name in the Main Window.

2. Click the Remote Print menu, and select Confirm Connections.

3. Enter the new IP address.

Alternatively, click Discover and choose a printer (see Printer Discovery).

4. Click OK.


Adding comments

You can add comments for each of your printers. For example, you may wish to describe the printer's location or features such as duplex capability. These comments are displayed in LPR's main window and may be shown / hidden in the program preferences .


Reconnecting a port

If the status of a printer is shown as Not Connected, the port may have been changed from LPR port.

To reconnect a port:

1. Click the printer name in the Main Window.

2. Click the Remote Print menu, and select Confirm Connections.

3. Click the Re-connect button.

This changes the destination port of the printer LPR port.

Notes:

The Re-connect button will be disabled if the printer is already using LPR port as the destination port.


Queue name

To choose queue name:

You can choose queue name.

  • Direct

A job is not spooled in the printer hard disk. Priority is put on the total printing time.

  • Print

Spools a job in the printer hard disk before printing. Priority is put on releasing print jobs to the computer.

  • Hold

Saves a job in the printer hard disk. Useful for printing standard format documents or documents you repeatedly print.

Notes:

This feature is available with printers that support Queue name. If you manually type in an IP address instead of performing Discover, Queue name does not become available until you click on OK and re-configure the printer.


Enabling LPR byte counting

-This function counts the number of bytes in the data before sending it to the printer. To count the bytes, the data is spooled before sending to the printer - this takes longer than sending the data directly.

-Typically, LPR Byte Counting is only used when a printer does not print correctly.

To enable LPR byte counting:

1. Click the printer name in the Main Window.

2. Click the Remote Print menu, and select Confirm Connections.

3. Click the Advanced button.

4. Select LPR Byte Counting Enabled.

5. Click OK.

Notes:

Some printers will require LPR Byte Counting to be enabled. For those printers, the LPR Byte Counting Enabled check box is greyed out.


Automatically redirecting jobs

- Jobs can be automatically redirected to other printers if the current printer is busy, switched off, or has an error (for example, low paper or a paper jam).

- When a job is redirected to a different printer, a message will appear in the Message column of the Job Display dialog.

To automatically redirect print jobs:

1. Click the printer name in the Main Window.

2. Click the Remote Print menu, and select Confirm Connections.

3. Click the Advanced button.

4. Select LPR Byte Counting Enabled.

5. Select Automatic Job Redirect Used.

6. Enter the IP address of the destination printer for redirected jobs.

Alternatively, click Discover and choose a printer(see Printer Discovery).

7. Click OK.

Notes:

The destination printer for redirected jobs must be the same model as the printer the job was originally sent to.


Multicast print

Multicast printing

You can send one print command to multiple remote printers for simultaneous printing.

To execute Multicast printing:

1. Select a target printer in Main Window and select Confirm Connections from the Remote Print menu.

2. Click the Advanced button on the Confirm Connections dialog.

3. Select the Multi-cast Printing check box.

4. Click the Options button to create a list of Multicast printers.

5. Click on OK.

Notes:

  • You can also set Multicast printing when you add a printer by clicking on Advanced in the Add Printer dialog.

  • All the destination printers for Multicast printing must be the same models.

  • When you enable Multicast printing, data is sent with LPR Byte Counting Enabled.


Web setting port number

Web settings port number

This is the port used for displaying the printer's internal web pages. The default is 80.

To change the port number:

You can change the port number as follows:

1. Select a target printer in Main Window and select Confirm Connections from Remote Print Menu.

2. Click on the Advanced button.

3. Type in a new port number.

4. Click on OK.

Related items:

Web settings.


Deleting a printer

To delete a printer:

1. Click the printer name in the Main Window.

2. Click the Remote Print menu and select Delete Printer.

Notes:

  • You cannot delete a printer which has jobs currently being sent to it.

  • To delete a printer set in Multicast printing (IP address displayed in Main Window ), delete from Multicast printing options .


Change spool directory

The LPR Utility spools to the directory that was chosen when the program was installed.

To change LPR's spool directory:

1. Click the Option menu, and select Setup.

2. In Spool Directory, enter a new spool directory that LPR should use.

3. Click OK.


Changing time-out time

Connection time-out

- If the LPR Utility attempts to connect to a printer but receives no response, it assumes an error has occurred and closes the connection.

- A printer may not respond of it is switched off or if the IP address has changed.

To change LPR's time-out settings:

You can determine how long LPR waits for a response from the printer before it closes the connection.

1. Click the Option menu and point to Setup.

2. Enter a new value in Timeout.

Enter a value from 0 to 600 seconds (Default value: 90 seconds).

3. Click OK.

Notes:

If there is no response from a printer after the printer is connected, an alert appears.


Changing interval update printer status

Changing printer status update interval

The current printer status is displayed in the Printer Status or Job Status dialog.

To change printer status update interval:

You can change how often the status is updated as follows:

1. Click the Option menu and select Setup.

2. Enter a new value for Updating Interval of Printer Status.

Enter a value from 1 to 300 seconds (Default value:30seconds).

3. Click OK.


Minimise to system tray

You can set LPR to run as an icon in the System Tray (next to the Clock).

To minimise LPR to system tray when startup:

1. Click the Option menu and select Setup.

2. Select Minimize check box.

3. Click OK.

After you restart Windows, LPR will run as an icon in the System Tray.

Notes:

Right-click the minimised icon to display a menu of LPR's options.


Reconnecting to the printer if its IP address changes

Auto reconnect

- This feature will attempt to maintain a connection with the original printer whenever the printer's IP address changes. The IP address may change if DHCP is being used to dynamically assign IP addresses or if the network administrator manually changes the printer's IP address.

- Auto Reconnect searches for the original printer and updates LPR with the new address.

To use auto reconnect:

1. Click the Option menu and select Setup.

2. Select Auto Reconnect check box.

3. Click OK.

Notes:

  • Auto Reconnect will only search for the printer within the range defined under LPR's Discovery scope.

  • If the printer's new IP address is not within the range of LPR's discovery, the connection with the printer will be lost.

  • This can be corrected by expanding the scope of LPR's range of discovery.


Exiting the Utility

To exit from the LPR Utility:

  • Click the File menu and select Exit.

  • Right-click the icon in the System Tray and select Exit from the pop-up menu.

Notes:

Clicking “X” in the top right corner of the Main Window will put the icon for the LPR Utility in the System Tray (next to the clock).


Broadcast IP address

A scope takes the form of an IP address 4 numeric values in the range 0-255, separated by periods (.). Each value denotes a bit pattern. The value 255 indicates all bits set (128 + 64 + 32 + 16 + 8 + 4 + 2 + 1). This will result in all matching addresses being searched for valid printers.

The default scope of 255.255.255.255 will therefore search all hosts on the local network. Constraining the scope will improve response time and network performance for others as well as the user of this software. Consult your network administrator for suitable scope of subnets.


Print data file

You can create a print data file by:

i. Using the Print to file option from your application

ii. Changing the printer driver port to FILE:


Switching Display/Hide of comments

Show / Hide Comments

Selecting Show Comments displays any comments you have added to describe your printers. These comments are shown in LPR's main window.


Add Printer Dialog (Advanced)

Adding a printer

Adding comments

Re-connecting a port

Queue name

Enabling LPR byte counting

Redirecting jobs automatically

Multicast printing

Web settings port number


Job Display Dialog

Displaying jobs

Deleting jobs

Redirecting jobs

Sending a print data file

Checking printer status

Pausing job sending

Confirm Connections


Preferences Dialog

Changing spool directory

Changing time-out settings

Changing printer status update interval

Minimising to system tray

Reconnecting to the printer if its IP address changes


Confirm Connection Dialog

Confirm Connections Dialog

Changing a printer's IP address

Adding comments

Reconnecting a port


Confirm Connection Dialog (Advanced)

Confirm Connections Dialog (Advanced)

Changing a printer's IP address

Adding comments

Reconnecting a port

Queue name

Enabling LPR byte counting

Redirecting jobs automatically

Multicast printing

Web settings port number


IP address

This is the IP address assigned to a remote printer.

Incorrect IP address settings can cause problems on the network. When setting up a remote printer, contact your network administrator.


Multicast print setup

Multicast printing options

You can add/delete/edit remote printers for Multicast printing.

You can add printers as follows:

1. Click on Add.

2. Type in IP address .

(You can select an IP address from the Discovered Printers list by clicking Discover.)

3. When you want to automatically redirect a job, click Advanced and set the printer to which you want to redirect the job.

(Click here to learn how to set automatic job redirect.)

To delete a printer, select the printer you want to delete from the list, and click on Delete.

To change an IP address or change the setting of automatic job redirect, select the printer you want to change and click on Edit.

Note:

  • You can save the current Multicast printing list by clicking on Save list.

  • You can load a previously saved Multicast printing list by clicking on Load list.


LPR port

The LPR Utility uses a port for TCP/IP printing named LPR port.

When you add a printer to the LPR utility, the port is automatically changed.

When you print using the LPR Utility, the printing destination port must be LPR port.


Printer Combo Box

The list of printers displayed here is dependant on which printers you have installed in the Windows Printers folder. Also, printers already added to LPR will not be listed


Remote Printer

Printer

A remote printer that supports TCP/IP connected via an Ethernet network.